semanage_list(3)

NAME
semanage_list - SELinux Lists Management API

SYNOPSIS
The following list function is supported for any SELinux managent record.
Replace the function and object name as necessary.

extern int LIST_FUNCTION (
semanage_handle_t *handle,
semanage_OBJECT_t ***objects,
unsigned int* count);

DESCRIPTION

Behavior:
    The list function will return an array of all the objects in the selected location.

Parameters:
    The handle is used to track persistent state across semanage calls, and for error reporting. The function will allocate and populate the array of objects, and store it at the location pointed by objects. It will write the number of objects at the location pointed by count. The array, and all its objects become property of the caller. Each object must be freed with semanage_OBJECT_free.

Requirements:
    This function requires an semanage connection to be established (see semanage_connect(3) )

RETURN VALUE
In case of failure, -1 is returned, and the semanage error callback is invoked, describing the error. Otherwise a non-negative integer is returned (a commit number). The same number will be returned by all other semanage object read calls until the next commit.

SEE ALSO
semanage_handle_create(3), semanage_connect(3),